@import "../variable";

/** Text */
@each $key, $color in $theme-colors {
	.pw-text-#{"" + $key} {
		color: $color;
	}
}

@each $key, $color in $theme-colors {
	.pw-text-bg-#{"" + $key} {
		background-color: $color;
		color: white;
	}
}

.pw-text-s {
	font-size: 0.9rem;
	line-height: 1.4rem;
	letter-spacing: 0.05rem;
	font-weight: 300;
}

.pw-text-m {
	font-size: 1.1rem;
	line-height: 2rem;
	letter-spacing: 0.1rem;
}

.pw-text-l {
	font-size: 2rem;
	line-height: 2.2rem;
	letter-spacing: 0.1rem;
}

.pw-text-bold {
	font-weight: bold;
}

@media screen and (max-width: #{$sp}) {
	.pw-sp-text-default {
		font-size: inherit;
		line-height: inherit;
	}
}

.pw-maintitle {
	font-size: 3rem;
	font-weight: bold;
	color: white;
	padding: 1.5rem 0.5rem;
	font-weight: 100;
	line-height: 4rem;
}

@media screen and (max-width: #{$sp}) {
	.pw-maintitle {
		font-size: 2rem;
		line-height: 3rem;
	}
}

.pw-text-clip {
	background-position: center;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}